<template>

  <v-card id="responsiveNav">
    <v-bottom-nav :active.sync="bottomNav" :color="color" :value="true" absolute dark shift>
      <router-link to="/">
        <v-btn dark>
          <span>Home</span>
          <v-icon>ondemand_video</v-icon>
        </v-btn>
      </router-link>
      <router-link to="/societies">
        <v-btn dark>
          <span>Societies</span>
          <v-icon>music_note</v-icon>
        </v-btn>
      </router-link>
      <router-link to="/leaderboard">
      <v-btn dark>
        <span>Leadership</span>
        <v-icon>book</v-icon>
      </v-btn>
</router-link>
      <v-btn dark>
        <span>Image</span>
        <v-icon>image</v-icon>
      </v-btn>
    </v-bottom-nav>
  </v-card>
</template>

<script>
export default {
  data() {
    return {
      bottomNav: 3
    };
  },

  computed: {
    color() {
      switch (this.bottomNav) {
        case 0:
          return "blue-grey";
        case 1:
          return "teal";
        case 2:
          return "brown";
        case 3:
          return "indigo";
      }
    }
  }
};
</script>

<style>
</style>
